Package org.apache.commons.compress.archivers.dump

# Enum DumpArchiveEntry.PERMISSION

java.lang.Object
java.lang.Enum<DumpArchiveEntry.PERMISSION>
org.apache.commons.compress.archivers.dump.DumpArchiveEntry.PERMISSION

All Implemented Interfaces:
  `Serializable`, `Comparable<DumpArchiveEntry.PERMISSION>`

Enclosing class:
  `DumpArchiveEntry`

public static enum DumpArchiveEntry.PERMISSION extends Enum<DumpArchiveEntry.PERMISSION>
Enumerates permissions with values.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GROUP_EXEC`
  Permission 00020 (octal value 00010).
  `GROUP_READ`
  Permission GROUP_READ (octal value 00040).
  `GROUP_WRITE`
  Permission GROUP_WRITE (octal value 00020).
  `SETGUI`
  Permission SETGUI (octal value 02000).
  `SETUID`
  Permission SETUID (octal value 04000).
  `STICKY`
  Permission STICKY (octal value 01000).
  `USER_EXEC`
  Permission USER_EXEC (octal value 00100).
  `USER_READ`
  Permission USER_READ (octal value 00400).
  `USER_WRITE`
  Permission USER_WRITE (octal value 00200).
  `WORLD_EXEC`
  Permission WORLD_EXEC (octal value 00001).
  `WORLD_READ`
  Permission WORLD_READ (octal value 00004).
  `WORLD_WRITE`
  Permission WORLD_WRITE (octal value 00002).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<DumpArchiveEntry.PERMISSION>`
  `find(int code)`
  Finds a matching set of enumeration values for the given code.
  `static DumpArchiveEntry.PERMISSION`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DumpArchiveEntry.PERMISSION[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SETUID

    public static final DumpArchiveEntry.PERMISSION SETUID
    Permission SETUID (octal value 04000).

  - ### SETGUI

    public static final DumpArchiveEntry.PERMISSION SETGUI
    Permission SETGUI (octal value 02000).

  - ### STICKY

    public static final DumpArchiveEntry.PERMISSION STICKY
    Permission STICKY (octal value 01000).

  - ### USER_READ

    public static final DumpArchiveEntry.PERMISSION USER_READ
    Permission USER_READ (octal value 00400).

  - ### USER_WRITE

    public static final DumpArchiveEntry.PERMISSION USER_WRITE
    Permission USER_WRITE (octal value 00200).

  - ### USER_EXEC

    public static final DumpArchiveEntry.PERMISSION USER_EXEC
    Permission USER_EXEC (octal value 00100).

  - ### GROUP_READ

    public static final DumpArchiveEntry.PERMISSION GROUP_READ
    Permission GROUP_READ (octal value 00040).

  - ### GROUP_WRITE

    public static final DumpArchiveEntry.PERMISSION GROUP_WRITE
    Permission GROUP_WRITE (octal value 00020).

  - ### GROUP_EXEC

    public static final DumpArchiveEntry.PERMISSION GROUP_EXEC
    Permission 00020 (octal value 00010).

  - ### WORLD_READ

    public static final DumpArchiveEntry.PERMISSION WORLD_READ
    Permission WORLD_READ (octal value 00004).

  - ### WORLD_WRITE

    public static final DumpArchiveEntry.PERMISSION WORLD_WRITE
    Permission WORLD_WRITE (octal value 00002).

  - ### WORLD_EXEC

    public static final DumpArchiveEntry.PERMISSION WORLD_EXEC
    Permission WORLD_EXEC (octal value 00001).

- ## Method Details

  - ### values

    public static DumpArchiveEntry.PERMISSION[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DumpArchiveEntry.PERMISSION valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### find

    public static Set<DumpArchiveEntry.PERMISSION> find(int code)
    Finds a matching set of enumeration values for the given code.
    Parameters:
      `code` - a code.
    Returns:
      a Set of values, never null.